////////////////////////////////////////////////////////////////////
#include <acknex.h>
#include <default.c>

////////////////////////////////////////////////////////////////////

BMAP* cursor_pcx = "cursor.pcx";
BMAP* crosshair_pcx = "crosshair.pcx";

////////////////////////////////////////////////////////////////////

function highlight_event()
{
	if (event_type == EVENT_TOUCH) // the wizard was touched with the mouse?
	{
	  my.ambient = 100; // the make it look bright
	  my.lightrange = 200; // and generate light on a radius of 200 quants!
  }
	else if (event_type == EVENT_RELEASE) // the mouse was moved away from it?
	{
 		my.ambient = 0; // then restore its initial ambient value (zero)
 		my.lightrange = 0; // and stop it from generating light around it
  }
}

action wizard_lights() // this action is attached to both wizards
{  
	// make the wizard models sensitive to mouse touching and releasing
  my.emask = ENABLE_TOUCH | ENABLE_RELEASE;
  // run function highlight_event the wizards are touched or released
  my.event = highlight_event; 
}

function main()
{
	video_screen = 1; // start in full screen mode
  screen_size.x = 800;
  screen_size.y = 600;
	level_load ("work14_2.wmb"); // load the level
	mouse_mode = 2; // show the mouse pointer
	mouse_map = cursor_pcx; // set the mouse pointer bitmap
	
	while (1)
	{
		mouse_pos.x = mouse_cursor.x; // allow the mouse pointer to move
		mouse_pos.y = mouse_cursor.y; // on the x and y axis
		wait (1);
	}
}