///////////////////////////////////////////////////////////////
// PhysX version of script19
// Only for use with A8

#include <default.c>
#include <ackphysx.h>

///////////////////////////////////////////////////////////////

VECTOR ball_force;
ENTITY* ball;

function main()
{
	physX_open();
	level_load("roller.wmb"); // load the level
	
 	ball = ent_create ("ball.mdl", vector(-400, 0, 100), NULL); // create the ball
	pXent_settype (ball, PH_RIGID, PH_SPHERE); // set the physics entity type
	pXent_setfriction (ball,50); // set the friction on the ground
	pXent_setdamping (ball,10,10); // set the damping
	pXent_setelasticity (ball,50); // set the elasticity
	
	while (1)
	{
		ball_force.x = (key_cur-key_cul)*10*time_step; // rotate the ball about the global x axis
		ball_force.y = (key_cuu-key_cud)*10*time_step; // rotate the ball about the global y axis
		ball_force.z = 0; // no need to rotate about the vertical axis
		pXent_addtorqueglobal (ball, ball_force); // add a torque (an angular force) to the ball
		camera.x = ball.x - 300; // keep the camera 300 quants behind the ball
		camera.y = ball.y; // using the same y with the ball
		camera.z = 1000; // and place it at z = 1000 quants
		camera.tilt = -60; // make it look downwards
		wait (1);
	}
}